/*------------------------------------*\
    #STAGE-TEASER
\*------------------------------------*/
/**
 * Stage component that contains a teaser + img with a link to an article.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}stage-teaser,
%#{$inuit-namespace}stage-teaser {
    display: block;
    height:33.3%;
    .c-stage-teaser__content {
        max-width: 40%;
    }
    &-animation {
        position:relative;
        img:not(:first-child) {
            position:absolute;
            top:0;
            left:0;
            opacity:0;
            -moz-opacity: 0;
            -webkit-opacity: 0;
        }
    }
}

.#{$inuit-namespace}stage-teaser__wrapper,
%#{$inuit-namespace}stage-teaser__wrapper {
    display: block;
    width: 100%;

    @media #{$large-up} {
        position: absolute;
        top:45%
    }

    > .o-section__wrapper {
        padding: 0;

        @media #{$large-up} {
            padding: 0 20px;
        }
    }
}
@media #{$large-up} {
    .c-page--frontpage .c-stage-teaser .c-stage-teaser__wrapper {
        bottom: 8.333333%
    }
}
.#{$inuit-namespace}stage-teaser__content,
%#{$inuit-namespace}stage-teaser__content {
    background: $frs-color-light-beige;
    padding: 20px;

    @media #{$medium-up} {
        background: $frs-color-light-beige;
        padding: 20px;
        position: relative;
        max-width: inherit;
    }

    @media #{$large-up} {
        background-color: rgba($frs-color-white, .9);
        padding: 10px;
    }
}
@media (max-width:1024px) {
    .c-stage-teaser .c-stage-teaser__content {
        max-width: inherit;
        text-align: center;
    }
}
@media #{$large-up} {
    .c-stage-teaser__wrapper.alt-header {
        background: transparent;
        bottom: 0 !important;
        max-width: 1160px;
        overflow: hidden;
        left: 50%;
        transform: translate(-50%, 0);
        padding: 0 2em 2em 0;
    }
    .c-stage-teaser__wrapper.alt-header .c-stage-teaser__content {
        background: none;
        padding: 0;
        max-width: 60%;
    }
    .c-stage-teaser__wrapper.alt-header .o-section__wrapper {
        padding: 0;
    }
    .c-stage-teaser__wrapper.alt-header .c-stage-teaser__text {
        background: none !important;
        text-align: left !important;
    }
    .c-stage-teaser__wrapper.alt-header h3.c-stage-teaser__headline {
        font-size: 2.2rem !important;
        color: #fff !important;
        font-weight: 600;
    }
}

.#{$inuit-namespace}stage-teaser__meta,
%#{$inuit-namespace}stage-teaser__meta {
    margin-top: 0;
}

.#{$inuit-namespace}stage-teaser__text,
%#{$inuit-namespace}stage-teaser__text {
    width: 100%;
    padding: 0;
    text-align: center;
    .stage2 {
        color:$frs-color-white;
    }
}

.#{$inuit-namespace}stage-teaser__headline,
%#{$inuit-namespace}stage-teaser__headline {
    @media #{$small-only} {
        font-size: $h4-font-size;
    }
}

.#{$inuit-namespace}stage-teaser__link,
%#{$inuit-namespace}stage-teaser__link {

    @media #{$medium-up} {
        //@extend %o-btn;
        color: #fff;
        p {
            margin-bottom: 0;
        }
    }
}

@if $theme == "reloaded" {
    .#{$inuit-namespace}stage-teaser__wrapper,
    %#{$inuit-namespace}stage-teaser__wrapper {
        width: 100%;
        top:16%;
        left:16%;
        @media #{$medium-up} {
            top:3%;
            left:5%;
        }
        @media #{$large-up} {
            top: 22%;
            left: 15%;
            width: 35%;
            margin: auto 0;
        }
        @media (min-width: 1024px) and (max-width: 1740px) {
            width: 60%;
        }
        .c-stage-teaser__headline {
            color:$frs-color-grey;
            font-size:30px;
            line-height:38px;
            display:block !important;
            margin:0 !important;
            @media #{$large-up} {
                font-size:48px;
                line-height:63px;
                max-width:570px;
                color:$frs-color-white;
            }
            @media #{$xlarge-up} {
                font-size:48px;
                line-height:63px;
            }
            @media (min-width:1750px) {
                max-width:568px;
            }
        }
        .grey {
            color: $frs-color-dark-red;
            @include frs-hover {
                text-decoration:none;
            }
            .c-stage-teaser__headline {
                color: $frs-color-red;
            }
        }
        .c-stage-teaser__text {
            text-align:left;
            a {
                @include frs-hover {
                    text-decoration:none !important;
                    color:$frs-color-white !important;
                }
                @include frs-focus {
                    text-decoration:none;
                    color:$frs-color-white;
                }
            }
        }
        .c-stage-teaser__content .c-stage-teaser__link {
            border-color:$frs-color-grey !important;
            color: $frs-color-grey !important;
            margin: 1rem 0 0 0;
            font-weight:bold;
            font-size:18px;
            @include epx-transition (background 300ms ease-in-out 0s);
            @include frs-hover {
                background:rgba(255, 255, 255,1);
                text-decoration:underline;
            }
            @media #{$large-up} {
                border-color:$frs-color-white !important;
                color: $frs-color-white !important;
                @include frs-hover {
                    background:rgba(255,255,255,.3);
                }
            }
        }
    }
    .#{$inuit-namespace}stage-teaser__content,
    %#{$inuit-namespace}stage-teaser__content {
        background: transparent;
        @media #{$medium-up} {
            background: transparent;
        }
        @media #{$large-up} {
            background: transparent;
        }
    }
    .c-main-stage .c-stage-teaser__wrapper {
        top: 25%;
        bottom: auto;
        @media #{$medium-up} {
            top:5%;
            width:60%;
        }
        @media #{$large-up} {
            top:5%;
        }
        @media (min-width:1600px) {
            top:12%;
        }
        @media (min-width:2000px) {
            top:22%;
        }
    }
    .#{$inuit-namespace}stage-teaser,
    %#{$inuit-namespace}stage-teaser {
        overflow:hidden;
        figure {
            position:relative;
            overflow:hidden;
            &.overlay-blue:before {
                content:'';
                background: linear-gradient(90deg, rgba(0,45,85, 1) 0%, rgba(255, 255, 255, 0) 100%);
                display: block;
                width: 50%;
                height: 100%;
                position: absolute;
                z-index: 0;
            }
            img {
                @media (min-width: 1650px) {
                    margin-top:-4%;
                }
                @media (min-width: 2000px) {
                    margin-top:-8%;
                }
            }
        }
        .c-stage-teaser__content {
            max-width: 1000%;
        }
    }
}
